# Deleting a Shared File System

#### Function

This API is used to delete a shared file system.

This API is an asynchronous API. If the returned status code is 202, the API request is successfully delivered and received. Later, you can query the shared file system by referring to Querying Details About a Shared File System to identify whether the deletion is complete and successful.

#### URI

- DELETE /v2/{project_id}/shares/{share_id}
- Parameter description

  Parameter | Mandatory | Type | Description
  --- | --- | --- | ---
  share_id | Yes | String | Specifies the ID of the shared file system.
  project_id | Yes | String | Specifies the project ID of the operator.

#### Request

- Parameter description

  None

- Example request

  None

#### Response

- Example response

  None

#### Status Codes

- Normal

  202

- Abnormal

  Status Code | Description
  --- | ---
  400 Bad Request | The server failed to process the request.
  401 Unauthorized | You must enter a username and the password to access the requested page.
  403 Forbidden | Access to the requested page is forbidden.
  404 Not Found | The requested page was not found.
  405 Method Not Allowed | You are not allowed to use the method specified in the request.
  406 Not Acceptable | The response generated by the server could not be accepted by the client.
  407 Proxy Authentication Required | You must use the proxy server for authentication. Then the request can be processed.
  408 Request Timeout | The request timed out.
  409 Conflict | The request could not be processed due to a conflict.
  500 Internal Server Error | Failed to complete the request because of an internal service error.
  501 Not Implemented | Failed to complete the request because the server does not support the requested function.
  502 Bad Gateway | Failed to complete the request because the request is invalid.
  503 Service Unavailable | Failed to complete the request because the service is unavailable.
  504 Gateway Timeout | A gateway timeout error occurred.

Parent topic: File Sharing